﻿using System;
using System.Windows.Forms;

namespace TheLegionLooter
{
    public partial class SettingsForm : Form
    {
        public SettingsForm()
        {
            InitializeComponent();
            maxRange.Value = TLLSet.Instance.MaxRange;
            findRares.Checked = TLLSet.Instance.FindRares;
            findChests.Checked = TLLSet.Instance.FindChests;
            findMana.Checked = TLLSet.Instance.FindMana;
        }

        private void maxRange_ValueChanged(object sender, EventArgs e)
        {
            TLLSet.Instance.MaxRange = (int)maxRange.Value;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            TLLSet.Instance.FindRares = (bool)findRares.Checked;
        }

        private void findChests_CheckedChanged(object sender, EventArgs e)
        {
            TLLSet.Instance.FindChests = (bool) findChests.Checked;
        }

        private void findMana_CheckedChanged(object sender, EventArgs e)
        {
            TLLSet.Instance.FindMana = (bool)findMana.Checked;
        }
    }
}