﻿using Styx.Helpers;

namespace TheLegionLooter
{
    public class TLLSet : Settings
    {
        private static TLLSet _instance;

        public TLLSet()
            : base(System.IO.Path.Combine(CharacterSettingsDirectory, "TheLegionLooter.xml"))
        {

        }
        public static TLLSet Instance => _instance ?? (_instance = new TLLSet());

        [Setting, DefaultValue(80)]
        public int MaxRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool FindRares { get; set; }

        [Setting, DefaultValue(true)]
        public bool FindChests { get; set; }

        [Setting, DefaultValue(false)]
        public bool FindMana { get; set; }
    }
}